%define upstream_name PPIx-DocumentName
%define upstream_version 1.01

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utility to extract a name from a PPI Document
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/PPIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(PPI::Util)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module contains a few utilities for extracting a "name" out of an
arbitrary Perl file.

Typically, this is the "module" name, in the form:

  package Foo

However, it also supports extraction of an override statement in the
form:

  # PODNAME: OverrideName::Goes::Here

Which may be more applicable for documents that lack a "package"
statement, or the "package" statement may be "wrong", but they still
need the document parsed under the guise of having a name ( for purposes
such as POD )

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.10.0-3.mga10
+ Revision: 2207067
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1.10.0-2.mga9
+ Revision: 1814343
- Mageia 9 Mass Rebuild

* Mon Apr 19 2021 tv <tv> 1.10.0-1.mga9
+ Revision: 1716830
- update to 1.01

* Wed Feb 12 2020 umeabot <umeabot> 0.1.3-3.mga8
+ Revision: 1505830
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.1.3-2.mga7
+ Revision: 1285475
- Mageia 7 Mass Rebuild

* Fri Oct 27 2017 tv <tv> 0.1.3-1.mga7
+ Revision: 1173990
- update to 0.001003

* Sun Jun 19 2016 pterjan <pterjan> 0.1.2-3.mga6
+ Revision: 1032685
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.1.2-2.mga6
+ Revision: 968237
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.1.2-1.mga6
+ Revision: 851664
- imported package perl-PPIx-DocumentName

